jnes is a personal project in prder to understand how emulation works.

The nes system has been emulated worldwide for its relative simplicity.

In all .h files you will find more theory about nes system, because i think
it is important you have comments explaining why i am conding in some ways.

references:

https://www.howitworksdaily.com/how-the-nes-worked/